package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFAppSetting;
import com.sa.ibiz.demo.demo.service.WFAppSettingService;
import com.sa.ibiz.demo.demo.service.dto.WFAppSettingSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wfappsetting")
public class WFAppSettingResource
{
	@Autowired
	private WFAppSettingService service;


	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFAppSetting> getDraft(@Validated @RequestBody WFAppSetting data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统设定[getDraft]操作发生错误","WFAppSetting","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<WFAppSetting> update(@Validated @RequestBody WFAppSetting data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统设定[update]操作发生错误","WFAppSetting",data.getWfappsettingid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFAppSetting> create(@Validated @RequestBody WFAppSetting data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统设定[create]操作发生错误","WFAppSetting",data.getWfappsettingid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFAppSetting> checkKey(@Validated @RequestBody WFAppSetting data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统设定[checkKey]操作发生错误","WFAppSetting",data.getWfappsettingid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<WFAppSetting> remove(@Validated @RequestBody WFAppSetting data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统设定[remove]操作发生错误","WFAppSetting",data.getWfappsettingid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<WFAppSetting> get(@Validated @PathVariable String id){
		WFAppSetting data=new WFAppSetting();
		data.setWfappsettingid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流系统设定[get]操作发生错误","WFAppSetting",id.toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFAppSetting>> searchDefaultPage(@Validated @RequestBody WFAppSettingSearchFilter filter){
		Page<WFAppSetting> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFAppSetting>> listDefault(@Validated @RequestBody WFAppSettingSearchFilter filter){
		List<WFAppSetting> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
